# Uses of Interface
org.opensaml.xacml.policy.PolicySetType

Packages that use PolicySetType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.
org.opensaml.xacml.profile.saml
XMLObject interfaces for SAML XACML profile.
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.

## Uses of PolicySetType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type PolicySetType
Modifier and Type
Method
Description
`List<PolicySetType>`
PolicySetType.`getPolicySets()`
Gets the child policy sets.

## Uses of PolicySetType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement PolicySetType
Modifier and Type
Class
Description
`class`
`PolicySetTypeImpl`
Concrete implementation of `PolicySetType`.
Methods in org.opensaml.xacml.policy.impl that return PolicySetType
Modifier and Type
Method
Description
`PolicySetType`
PolicySetTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`PolicySetType`
PolicySetTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type PolicySetType
Modifier and Type
Method
Description
`List<PolicySetType>`
PolicySetTypeImpl.`getPolicySets()`
Gets the child policy sets.

## Uses of PolicySetType in org.opensaml.xacml.profile.saml

Methods in org.opensaml.xacml.profile.saml that return types with arguments of type PolicySetType
Modifier and Type
Method
Description
`List<PolicySetType>`
ReferencedPoliciesType.`getPolicySets()`
Gets the policieSets in this element.
`List<PolicySetType>`
XACMLAuthzDecisionQueryType.`getPolicySets()`
Gets the policy sets to be used while rendering a decision.
`List<PolicySetType>`
XACMLPolicyStatementType.`getPolicySets()`
Return the XACMLPolicySet inside the policy statement.

## Uses of PolicySetType in org.opensaml.xacml.profile.saml.impl

Fields in org.opensaml.xacml.profile.saml.impl with type parameters of type PolicySetType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<PolicySetType>`
ReferencedPoliciesTypeImpl.`policieSets`
List of policieSets.
`private List<PolicySetType>`
XACMLAuthzDecisionQueryTypeImpl.`policySets`
PolicySet children.
Methods in org.opensaml.xacml.profile.saml.impl that return types with arguments of type PolicySetType
Modifier and Type
Method
Description
`List<PolicySetType>`
ReferencedPoliciesTypeImpl.`getPolicySets()`
Gets the policieSets in this element.
`List<PolicySetType>`
XACMLAuthzDecisionQueryTypeImpl.`getPolicySets()`
Gets the policy sets to be used while rendering a decision.
`List<PolicySetType>`
XACMLPolicyStatementTypeImpl.`getPolicySets()`
Return the XACMLPolicySet inside the policy statement.